petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASCreateCoarseVec

create Vec corresponding to a state vector on one level coarser than current level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCreateCoarseVec(SNES snes,Vec *Xcoarse)

Collective

### Input Arguments

snes -SNESFAS

### Output Arguments

Xcoarse -vector on level one coarser than snes

### See Also

SNESFASSetRestriction(), SNESFASRestrict()

### Level

developer

### Location

src/snes/impls/fas/fas.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages